@mixin flex(
  $justify: flex-start,
  $align: flex-start,
  $direction: row,
  $wrap: no-wrap, 
) {
  display: flex;
  flex-direction: $direction;
  justify-content: $justify;
  align-items: $align;
  flex-wrap: $wrap;
}

@mixin marginVertical($top: 0, $bottom: $top) {
  margin-top: $top;
  margin-bottom: $bottom;
}

@mixin marginHorizontal($left: 0, $right: $left) {
  margin-left: $left;
  margin-right: $right;
}

@mixin text(
  $size: 14px,
  $weight: 300,
  $textTransform: initial,
  $fontFamily: inherit,
  $lineHeight: normal,
) {
  font-size: $size;
  font-weight: $weight;
  text-transform: $textTransform;
  line-height: $lineHeight;
  font-family: $fontFamily;
  color: getColor(defaultText32);
}
